Obtener varios esquemas de objetos personalizados en una solicitud por lotes.
curl --request POST \
--url https://api.hubapi.com/crm-object-schemas/2026-03/schemas/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"includeAssociationDefinitions": true,
"includeAuditMetadata": true,
"includePropertyDefinitions": true,
"inputs": [
"<string>"
]
}
'import requests
url = "https://api.hubapi.com/crm-object-schemas/2026-03/schemas/batch/read"
payload = {
"includeAssociationDefinitions": True,
"includeAuditMetadata": True,
"includePropertyDefinitions": True,
"inputs": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
includeAssociationDefinitions: true,
includeAuditMetadata: true,
includePropertyDefinitions: true,
inputs: ['<string>']
})
};
fetch('https://api.hubapi.com/crm-object-schemas/2026-03/schemas/batch/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"allowsSensitiveProperties": true,
"archived": true,
"associations": [
{
"fromObjectTypeId": "<string>",
"id": "<string>",
"toObjectTypeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"fullyQualifiedName": "<string>",
"id": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"objectTypeId": "<string>",
"properties": [
{
"description": "<string>",
"fieldType": "<string>",
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"options": [
{
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>",
"displayOrder": 123
}
],
"type": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"calculated": true,
"calculationFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdUserId": "<string>",
"currencyPropertyName": "<string>",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": false,
"hubspotDefined": true,
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": true,
"readOnlyValue": true,
"readOnlyOptions": true
},
"referencedObjectType": "<string>",
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedUserId": "<string>"
}
],
"requiredProperties": [
"<string>"
],
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"createdByUserId": 123,
"description": "<string>",
"primaryDisplayProperty": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedByUserId": 123
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Lote
Retrieve multiple custom object schemas in a batch request.
Obtén los detalles de varios esquemas de objetos personalizados enviando una solicitud por lotes con las entradas especificadas. Esta operación te permite obtener información del esquema, incluidas las propiedades y asociaciones, para varios objetos personalizados en una sola llamada a la API.
POST
/
crm-object-schemas
/
2026-03
/
schemas
/
batch
/
read
Obtener varios esquemas de objetos personalizados en una solicitud por lotes.
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
oauth2oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Cuerpo
application/json
Indica si se deben incluir definiciones de asociaciones en la respuesta.
Indica si se deben incluir metadatos de auditoría en la respuesta.
Indica si se deben incluir definiciones de propiedades en la respuesta.
Respuesta
successful operation
Show child attributes
Show child attributes
Última modificación el 3 de abril de 2026
⌘I